package TextContainer;

import java.util.Objects;
import java.util.Set;
import java.util.TreeSet;

public class Student {
    private String name;

    private int age;

    public Student(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Student student = (Student) o;
        return age == student.age &&
                Objects.equals(name, student.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(name, age);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public Student(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public static void main(String[] args) {
        Set<Student> set=new TreeSet<>();
        Student s1=new Student("odllu",18);
        Student s2=new Student("sxt",19);
        Student s3=new Student("admin",12);
        set.add(s1);
        set.add(s2);
        set.add(s3);
        for (Student str:set
        ) {
            System.out.println(str);

        }

    }
}
